Get person
curl --request GET \
--url https://api.modem.dev/v1/people/{personId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modem.dev/v1/people/{personId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modem.dev/v1/people/{personId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"avatarUrl": "<string>",
"avgMessagesPerWeek": 123,
"company": {
"domain": "<string>",
"employees": [
{
"avatarUrl": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"id": "<string>",
"logoUrl": "<string>",
"name": "<string>"
},
"connections": {
"github": "<string>",
"linkedin": "<string>",
"phone": "<string>",
"title": "<string>",
"twitter": "<string>",
"website": "<string>"
},
"conversationCount": 123,
"description": "<string>",
"displayName": "<string>",
"ecosystemTags": [
"<string>"
],
"expertiseTags": [
"<string>"
],
"id": "<string>",
"identityCount": 123,
"isVip": true,
"messageCount": 123,
"primaryEmail": "jsmith@example.com",
"sources": [
"<string>"
],
"weeklyActivity": [
123
],
"createdAt": "2023-11-07T05:31:56Z",
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}People
Get person
Get a single person by ID with aggregated stats across all identities
GET
/
people
/
{personId}
Get person
Authorizations
Organization API key (modem_…).
Path Parameters
Pattern:
^\d+$Response
OK
Avatar image URL for the person.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Display name for the person.
Pattern:
^\d+$Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Was this page helpful?
⌘I